Too many Errors with pytest -m connection

I am following #M220P course and all went well until I had to “pytest” it.
I’m using a Ubuntu 16.04 LTS
I am successful in connecting my browser to the page mflix generated by run.py. (so I clearly can connect to Atlas DB)

This is what I’m seeing when “pytest -m connection” is isued

================================================== test session starts ===================================================
platform linux -- Python 3.8.11, pytest-3.3.0, py-1.8.0, pluggy-0.6.0
rootdir: /home/abhi, inifile: pytest.ini
plugins: flask-0.11.0
collected 0 items / 1 errors                                                                                             

========================================================= ERRORS =========================================================
___________________________________________________ ERROR collecting  ____________________________________________________
anaconda3/envs/mflix/lib/python3.8/site-packages/_pytest/config.py:327: in _getconftestmodules
    return self._path2confmods[path]
E   KeyError: local('/home/abhi/Downloads/tests')

During handling of the above exception, another exception occurred:
anaconda3/envs/mflix/lib/python3.8/site-packages/_pytest/config.py:358: in _importconftest
    return self._conftestpath2mod[conftestpath]
E   KeyError: local('/home/abhi/Downloads/tests/conftest.py')

During handling of the above exception, another exception occurred:
anaconda3/envs/mflix/lib/python3.8/site-packages/_pytest/config.py:364: in _importconftest
    mod = conftestpath.pyimport()
anaconda3/envs/mflix/lib/python3.8/site-packages/py/_path/local.py:721: in pyimport
    raise self.ImportMismatchError(modname, modfile, self)
E   py._path.local.LocalPath.ImportMismatchError: ('tests.conftest', '/home/abhi/tests/conftest.py', local('/home/abhi/Downloads/tests/conftest.py'))

During handling of the above exception, another exception occurred:
anaconda3/envs/mflix/lib/python3.8/site-packages/py/_path/common.py:377: in visit
    for x in Visitor(fil, rec, ignore, bf, sort).gen(self):
anaconda3/envs/mflix/lib/python3.8/site-packages/py/_path/common.py:429: in gen
    for p in self.gen(subdir):
anaconda3/envs/mflix/lib/python3.8/site-packages/py/_path/common.py:418: in gen
    dirs = self.optsort([p for p in entries
anaconda3/envs/mflix/lib/python3.8/site-packages/py/_path/common.py:419: in <listcomp>
    if p.check(dir=1) and (rec is None or rec(p))])
anaconda3/envs/mflix/lib/python3.8/site-packages/_pytest/main.py:723: in _recurse
    ihook = self.gethookproxy(path)
anaconda3/envs/mflix/lib/python3.8/site-packages/_pytest/main.py:627: in gethookproxy
    my_conftestmodules = pm._getconftestmodules(fspath)
anaconda3/envs/mflix/lib/python3.8/site-packages/_pytest/config.py:341: in _getconftestmodules
    mod = self._importconftest(conftestpath)
anaconda3/envs/mflix/lib/python3.8/site-packages/_pytest/config.py:366: in _importconftest
    raise ConftestImportFailure(conftestpath, sys.exc_info())
E   _pytest.config.ConftestImportFailure: ImportMismatchError('tests.conftest', '/home/abhi/tests/conftest.py', local('/home/abhi/Downloads/tests/conftest.py'))
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Interrupted: 1 errors during collection !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
================================================ 1 error in 1.90 seconds =================================================

Because of this in http://localhost:5000/status here Connection is struck at Currently Validating

Please help me how to solve this and if any other information required i can provide it